local require = GLOBAL.require
local SpawnPrefab = GLOBAL.SpawnPrefab

local STRINGS = GLOBAL.STRINGS

STRINGS.NAMES.WREX = "Wrex"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.WREX = "Wrex has guarded me ever since I was born."

PrefabFiles = {
    "wrex",
	"ry2",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/ry2.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/ry2.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/ry2.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/ry2.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/ry2_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/ry2_silho.xml" ),

    Asset( "IMAGE", "bigportraits/ry2.tex" ),
    Asset( "ATLAS", "bigportraits/ry2.xml" ),

    Asset( "IMAGE", "minimap/ry2.tex" ),
    Asset( "ATLAS", "minimap/ry2.xml" ),
    
}

local function AoSFix(inst) 
inst:AddComponent("switch") 
end 

for _, moddir in ipairs(GLOBAL.KnownModIndex:GetModsToLoad()) do 
if GLOBAL.KnownModIndex:GetModInfo(moddir).name == "Always On Status" then 
AddPrefabPostInit("ry2", AoSFix) 
end 
end 

table.insert(GLOBAL.CHARACTER_GENDERS.FEMALE, "ry2")

AddMinimapAtlas("minimap/ry2.xml")

AddModCharacter("ry2")

